<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Global</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Global</h1>

    




<section>

<header>
    
        <h2></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>


        
    
    </div>

    

    

    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id="animateContainer"><span class="type-signature"></span>animateContainer<span class="type-signature"></span></h4>




<div class="description">
    Container für Animationen, bei Vigenére-Verfahren und One-Time-Pad-Verfahren
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line51">line 51</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="bg"><span class="type-signature"></span>bg<span class="type-signature"></span></h4>




<div class="description">
    Hintergrund
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line64">line 64</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="canvas"><span class="type-signature"></span>canvas<span class="type-signature"></span></h4>




<div class="description">
    Globale Variablen
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line3">line 3</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="clickCounter"><span class="type-signature"></span>clickCounter<span class="type-signature"></span></h4>




<div class="description">
    Wird für Tausch-Button benötigt
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line26">line 26</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="keyX"><span class="type-signature"></span>keyX<span class="type-signature"></span></h4>




<div class="description">
    X-Positionen der Buchstaben des Schlüssels auf dem Vigenére-Quadrat
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line67">line 67</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="keyY"><span class="type-signature"></span>keyY<span class="type-signature"></span></h4>




<div class="description">
    Y-Positionen der Buchstaben des Schlüssels auf dem Vigenére-Quadrat
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line69">line 69</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="oneTimeKeys"><span class="type-signature"></span>oneTimeKeys<span class="type-signature"></span></h4>




<div class="description">
    Wird benötigt um zu prüfen ob Key bereits verwendet wurde
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line78">line 78</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="oneTimePad"><span class="type-signature"></span>oneTimePad<span class="type-signature"></span></h4>




<div class="description">
    Boolean zur Überprüfung ob Modul für One-Time-Pad-Verfahren aktiv ist
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line76">line 76</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="scale"><span class="type-signature"></span>scale<span class="type-signature"></span></h4>




<div class="description">
    Wird für die Skallierung benötigt
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line9">line 9</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="squareChars"><span class="type-signature"></span>squareChars<span class="type-signature"></span></h4>




<div class="description">
    Speichert Positionen des Geheimtextes auf dem Vigenére-Quadrat
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line61">line 61</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="textX"><span class="type-signature"></span>textX<span class="type-signature"></span></h4>




<div class="description">
    X-Positionen der Buchstaben des Klartextes auf dem Vigenére-Quadrat
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line71">line 71</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="textY"><span class="type-signature"></span>textY<span class="type-signature"></span></h4>




<div class="description">
    Y-Positionen der Buchstaben des Klartextes auf dem Vigenére-Quadrat
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line73">line 73</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="timer"><span class="type-signature"></span>timer<span class="type-signature"></span></h4>




<div class="description">
    Wird für Timeout-Function benötigt
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line7">line 7</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="weiterBtn"><span class="type-signature"></span>weiterBtn<span class="type-signature"></span></h4>




<div class="description">
    Container für Weiter-Button
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line54">line 54</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="checkKey"><span class="type-signature"></span>checkKey<span class="signature">(key)</span><span class="type-signature"> &rarr; {Array.&lt;string>}</span></h4>
    

    



<div class="description">
    Prüft ob der Schlüssel aus den Buchstaben A - Z besteht. Falls ja werden sie gespeichert, sonst wird eine Warnung ausgegeben.
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>key</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last">Der eingegebene Schlüssel</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="vigenereVerfahren.js.html">vigenereVerfahren.js</a>, <a href="vigenereVerfahren.js.html#line432">line 432</a>
    </li></ul></dd>
    

    

    

    
</dl>













<h5>Returns:</h5>

        
<div class="param-desc">
    letters Enthält die Buchstaben des Schlüssels
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Array.&lt;string></span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="checkLetters"><span class="type-signature"></span>checkLetters<span class="signature">(char)</span><span class="type-signature"> &rarr; {boolean}</span></h4>
    

    



<div class="description">
    Prüft ob die Eingabe aus Buchstaben von A - z oder aus Leerzeichen enthält.
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>char</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">Char Code des aktuellen Buchstaben des Eingabetextes</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="vigenereVerfahren.js.html">vigenereVerfahren.js</a>, <a href="vigenereVerfahren.js.html#line455">line 455</a>
    </li></ul></dd>
    

    

    

    
</dl>













<h5>Returns:</h5>

        
<div class="param-desc">
    Gibt true zurück falls Char Code im Bereich von 65 - 90 oder 32, sonst false
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">boolean</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="mainMenue"><span class="type-signature"></span>mainMenue<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Startet die Webanwendung
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line91">line 91</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="onResize"><span class="type-signature"></span>onResize<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Behandelt das Ändern der Fenstergröße im Browser
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line113">line 113</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="removeContainer"><span class="type-signature"></span>removeContainer<span class="signature">(container)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Entfernt die Grafik auf dem Vigenére-Quadrat nach 6 Sekunden
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>container</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last">Container-Object das zum Vigenére-Quadrat hinzugefügt wurde</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="vigenereVerfahren.js.html">vigenereVerfahren.js</a>, <a href="vigenereVerfahren.js.html#line469">line 469</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="setup"><span class="type-signature"></span>setup<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Laedt Bilder und startet das Hauptmenü wenn der Ladevorgang komplett ist
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line80">line 80</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="tick"><span class="type-signature"></span>tick<span class="signature">(event)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Updated Stage bei jedem Tick des Timers
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>event</code></td>
            

            <td class="type">
            
                
<span class="param-type">event</span>


            
            </td>

            

            

            <td class="description last">Tick-Event des Timers</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line198">line 198</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="App.module_oneTimePadModule.html">oneTimePadModule</a></li></ul><h3>Classes</h3><ul><li><a href="DecrypBtn.html">DecrypBtn</a></li><li><a href="EncrypBtn.html">EncrypBtn</a></li><li><a href="PruefButton.html">PruefButton</a></li><li><a href="SwitchButton.html">SwitchButton</a></li><li><a href="VigenereShape.html">VigenereShape</a></li><li><a href="WeiterBtn.html">WeiterBtn</a></li><li><a href="ZurueckBtn.html">ZurueckBtn</a></li></ul><h3>Namespaces</h3><ul><li><a href="App.html">App</a></li></ul><h3>Global</h3><ul><li><a href="global.html#animateContainer">animateContainer</a></li><li><a href="global.html#bg">bg</a></li><li><a href="global.html#canvas">canvas</a></li><li><a href="global.html#checkKey">checkKey</a></li><li><a href="global.html#checkLetters">checkLetters</a></li><li><a href="global.html#clickCounter">clickCounter</a></li><li><a href="global.html#keyX">keyX</a></li><li><a href="global.html#keyY">keyY</a></li><li><a href="global.html#mainMenue">mainMenue</a></li><li><a href="global.html#oneTimeKeys">oneTimeKeys</a></li><li><a href="global.html#oneTimePad">oneTimePad</a></li><li><a href="global.html#onResize">onResize</a></li><li><a href="global.html#removeContainer">removeContainer</a></li><li><a href="global.html#scale">scale</a></li><li><a href="global.html#setup">setup</a></li><li><a href="global.html#squareChars">squareChars</a></li><li><a href="global.html#textX">textX</a></li><li><a href="global.html#textY">textY</a></li><li><a href="global.html#tick">tick</a></li><li><a href="global.html#timer">timer</a></li><li><a href="global.html#weiterBtn">weiterBtn</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Sun Feb 25 2018 19:17:44 GMT+0100 (Mitteleuropäische Zeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>